# PhasicFlow: intervalRange< T > Class Template Reference

intervalRange< T > Class Template Reference

## Public Member Functions

| TypeInfoTemplateNV ("intervalRange", T)
| intervalRange (T begin, T end)
| intervalRange (T beginEnd, bool openEnd)
| intervalRange (const word &rangeString)
bool | isMember (T val) const

## Static Public Member Functions

static bool | parseRange (const word &rangeString, T &begin, T &end)

## Protected Attributes

T | begin_
T | end_

## Static Protected Attributes

static const T | maxVal = largestPositive<T>()
static const T | minVal = largestNegative<T>()

## Detailed Description

### template<typename T>
class pFlow::intervalRange< T >

Definition at line 33 of file intervalRange.hpp.

## Constructor & Destructor Documentation

## intervalRange() [1/3]

intervalRange | ( | T | begin,
|  | T | end
| ) |  |

inline

Definition at line 48 of file intervalRange.hpp.

## intervalRange() [2/3]

intervalRange | ( | T | beginEnd,
|  | bool | openEnd
| ) |  |

inline

Definition at line 54 of file intervalRange.hpp.

## intervalRange() [3/3]

intervalRange | ( | const word & | rangeString | ) |

inline

Definition at line 61 of file intervalRange.hpp.

References fatalErrorInFunction, and fatalExit.

## Member Function Documentation

## TypeInfoTemplateNV()

TypeInfoTemplateNV | ( | "intervalRange< T >" | ,
|  | T |
| ) |  |

## isMember()

bool isMember | ( | T | val | ) | const

inline

Definition at line 73 of file intervalRange.hpp.

## parseRange()

static bool parseRange | ( | const word & | rangeString,
|  | T & | begin,
|  | T & | end
| ) |  |

inlinestatic

Definition at line 80 of file intervalRange.hpp.

References count(), and pFlow::readValue().

Referenced by combinedRange< T >::addIntervalRange().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## begin_

T begin_

protected

Definition at line 38 of file intervalRange.hpp.

## end_

T end_

protected

Definition at line 40 of file intervalRange.hpp.

## maxVal

const T maxVal = largestPositive<T>()

inlinestaticprotected

Definition at line 42 of file intervalRange.hpp.

## minVal

const T minVal = largestNegative<T>()

inlinestaticprotected

Definition at line 43 of file intervalRange.hpp.

The documentation for this class was generated from the following file:

- src/phasicFlow/ranges/intervalRange.hpp